Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Document

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Document

public class Document
extends java.lang.Object

Document
Cette classe permet de manipuler les informations relatives à un document
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Field Summary
`static int` | `FILE`
`static int` | `LINK`

Constructor Summary
`Document()` Constructeur

Method Summary
`java.lang.String` | `getAuthor()` L'auteur du document
`java.lang.String` | `getDescription()` La description du document
`java.lang.String` | `getExtension()` L'extension du fichier
`java.lang.String` | `getFile()` Nom du fichier (avec extension)
`java.lang.String` | `getFolder()` Identifiant de dossier
`java.lang.String` | `getId()` Identifiant de document
`java.lang.String` | `getIntranet()` Identifiant d'intranet
`java.lang.String` | `getLimitDate()` La date de péremption
`java.lang.String` | `getModificationDate()` La date de dernière modification
`java.lang.String` | `getName()` Le nom du fichier (sans extension)
`java.lang.String` | `getOrder()` Le numéro d'ordre du document
`int` | `getType()` Le type de document, Document.FILE ou Document.LINK
`boolean` | `isLimited()` Document périmé
`boolean` | `isLocked()` Si le document est verrouillé
`boolean` | `isNew()` Nouveau document
`boolean` | `isValid()` Si le document est valide
`void` | `setAuthor(java.lang.String author)` L'auteur du document
`void` | `setDescription(java.lang.String description)` La description du document
`void` | `setFile(java.lang.String file)` Nom du fichier (avec extension)
`void` | `setFolder(java.lang.String folder)` Identifiant de dossier
`void` | `setId(java.lang.String id)` Identifiant de document
`void` | `setIntranet(java.lang.String intranet)` Identifiant d'intranet
`void` | `setLimitDate(java.lang.String limitDate)` La date de péremption
`void` | `setLocked(boolean locked)` Verrouillage du document
`void` | `setModificationDate(java.lang.String modificationDate)` La date de dernière modification
`void` | `setName(java.lang.String name)` Le nom du fichier (sans extension)
`void` | `setNew(boolean newdoc)` Nouveau document
`void` | `setOrder(java.lang.String order)` Le numéro d'ordre du document
`void` | `setType(int type)` Le type de document, Document.FILE ou Document.LINK
`java.lang.String` | `toXMLString()` La représentation XML de ce document

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE

    public static int FILE

### LINK

    public static int LINK

Constructor Detail

### Document

    public Document()

  Constructeur

Method Detail

### getId

    public java.lang.String getId()

  Identifiant de document

  Returns:

### setId

    public void setId(java.lang.String id)

  Identifiant de document

  Parameters:
    `id` -

### getIntranet

    public java.lang.String getIntranet()

  Identifiant d'intranet

  Returns:

### setIntranet

    public void setIntranet(java.lang.String intranet)

  Identifiant d'intranet

  Parameters:
    `intranet` -

### getFolder

    public java.lang.String getFolder()

  Identifiant de dossier

  Returns:

### setFolder

    public void setFolder(java.lang.String folder)

  Identifiant de dossier

  Parameters:
    `folder` -

### getFile

    public java.lang.String getFile()

  Nom du fichier (avec extension)

  Returns:

### setFile

    public void setFile(java.lang.String file)

  Nom du fichier (avec extension)

  Parameters:
    `file` -

### getName

    public java.lang.String getName()

  Le nom du fichier (sans extension)

  Returns:

### setName

    public void setName(java.lang.String name)

  Le nom du fichier (sans extension)

  Parameters:
    `name` -

### getExtension

    public java.lang.String getExtension()

  L'extension du fichier

  Returns:

### getDescription

    public java.lang.String getDescription()

  La description du document

  Returns:

### setDescription

    public void setDescription(java.lang.String description)

  La description du document

  Parameters:
    `description` -

### getType

    public int getType()

  Le type de document, Document.FILE ou Document.LINK

  Returns:

### setType

    public void setType(int type)

  Le type de document, Document.FILE ou Document.LINK

  Parameters:
    `type` -

### isValid

    public boolean isValid()

  Si le document est valide

  Returns:

### isLocked

    public boolean isLocked()

  Si le document est verrouillé

  Returns:

### setLocked

    public void setLocked(boolean locked)

  Verrouillage du document

  Parameters:
    `locked` -

### isNew

    public boolean isNew()

  Nouveau document

  Returns:

### setNew

    public void setNew(boolean newdoc)

  Nouveau document

  Parameters:
    `newdoc` -

### getAuthor

    public java.lang.String getAuthor()

  L'auteur du document

  Returns:

### setAuthor

    public void setAuthor(java.lang.String author)

  L'auteur du document

  Parameters:
    `author` -

### getModificationDate

    public java.lang.String getModificationDate()

  La date de dernière modification

  Returns:

### setModificationDate

    public void setModificationDate(java.lang.String modificationDate)

  La date de dernière modification

  Parameters:
    `modificationDate` -

### getLimitDate

    public java.lang.String getLimitDate()

  La date de péremption

  Returns:

### setLimitDate

    public void setLimitDate(java.lang.String limitDate)

  La date de péremption

  Parameters:
    `limitDate` -

### isLimited

    public boolean isLimited()

  Document périmé

  Returns:

### getOrder

    public java.lang.String getOrder()

  Le numéro d'ordre du document

  Returns:

### setOrder

    public void setOrder(java.lang.String order)

  Le numéro d'ordre du document

  Parameters:
    `order` -

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de ce document

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD